"{ Package: 'stx:libbasic3' }"

"{ NameSpace: Packages }"

AbstractPackageNotebookApplication subclass:#AbstractPackageDetails
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Package-Application'
!


!AbstractPackageDetails methodsFor:'change & update'!

update:something with:aParameter from:changedObject
    "Invoked when an object that I depend upon sends a change notification."
    (self packagesSelectedHolder == changedObject) ifTrue:[
        self packagesSelectedHolderChanged:aParameter
    ].
! !

!AbstractPackageDetails methodsFor:'changes'!

declareDependents
    "assumed that the removeDependents has been called"
    self packagesSelectedHolder addDependent:self.
!

packagesSelectedHolderChanged:packagesSelected 

    self updateWithPackages:packagesSelected
!

removeDependents
    "assumed that the removeDependents has been called"
    self packagesSelectedHolder removeDependent:self.
!

updateWithPackages:packages
    self subclassResponsibility
! !

!AbstractPackageDetails class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/packages/AbstractPackageDetails.st,v 1.2 2003-05-09 12:22:39 james Exp $'
! !
